Charles Oliver Nutter wrote:
> I think it would be unfortunate if sqlite were included in Ruby 1.9.2
> and those interfaces then became subject to Ruby release cycles,
> rather than much faster gem release cycles. In fact, I think as much
> as possible should be moved out of Ruby into gems, like the vast
> majority of stdlib, and then have specific versions preinstalled when
> you install Ruby. But at the very least don't start including new
> external library dependencies into stdlib.

If Ruby release cycle is slower than the library's cycle, bundling it is too early.

Moving into gems and preinstall tactics seem to have version dependency problem.

-- 
NARUSE, Yui  <naruse / airemix.jp>